#!/usr/bin/env python

# Copyright (c) 2010-2011 Red Hat, Inc.
#
# This file is part of HekaFS.
#
# HekaFS is free software: you can redistribute it and/or modify it under the
# terms of the GNU Affero General Public License as published by the Free
# Software Foundation, either version 3 of the License, or (at your option)
# any later version.
#
# HekaFS is distributed in the hope that it will be useful, but WITHOUT ANY
# WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
# FOR A PARTICULAR PURPOSE.  See the GNU General Public License for more
# details.
#
# You should have received a copy of the GNU Affero General Public License *
# along with HekaFS.  If not, see <http://www.gnu.org/licenses/>.

import sys
import volfilter

if len(sys.argv) != 2:
	print >> sys.stderr, "Usage: %s orig_volfile" % sys.argv[0]
	sys.exit(1)

graph, last = volfilter.load(sys.argv[1])
to_do = [xl for xl in graph.itervalues() if xl.type == "protocol/server"]
for td in to_do:
	for sv in td.subvols:
		# TBD: deal with multiple volumes/logs per server
		volfilter.push_filter(graph,sv,"debug/log-io")
volfilter.generate(graph,last)
